%define pypi_name pysendfile

Name:           python-pysendfile
Version:        2.0.1
Release:        %mkrel 4
Summary:        Python interface to the sendfile(2) system call
Group:          Development/Python

License:        MIT
URL:            https://github.com/giampaolo/pysendfile
Source0:        https://github.com/giampaolo/pysendfile/archive/release-%{version}/%{pypi_name}-release-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description
sendfile(2) is a system call which provides a "zero-copy" way of copying data
from one file descriptor to another (a socket). The phrase "zero-copy" refers
to the fact that all of the copying of data between the two descriptors is done
entirely by the kernel, with no copying of data into user-space buffers. This is
particularly useful when sending a file over a socket (e.g. FTP).

%package -n python3-%{pypi_name}
Summary:        Python interface to the sendfile(2) system call
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sendfile(2) is a system call which provides a "zero-copy" way of copying data
from one file descriptor to another (a socket). The phrase "zero-copy" refers
to the fact that all of the copying of data between the two descriptors is done
entirely by the kernel, with no copying of data into user-space buffers. This is
particularly useful when sending a file over a socket (e.g. FTP).

%prep
%setup -q -n %{pypi_name}-release-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH="%{buildroot}%{python3_sitearch}" %{__python3} test/test_sendfile.py

%files -n python3-%{pypi_name}
%doc README.rst HISTORY.rst
%license LICENSE
%{python3_sitearch}/sendfile*.so
%{python3_sitearch}/pysendfile-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-4.mga8
+ Revision: 1532274
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 2.0.1-3.mga8
+ Revision: 1442346
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 2.0.1-2.mga7
+ Revision: 1351371
- Rebuild for python3 3.7

* Sat Dec 01 2018 wally <wally> 2.0.1-1.mga7
+ Revision: 1337178
- new version 2.0.1
- update URL

* Sat Dec 01 2018 wally <wally> 2.0.0-14.mga7
+ Revision: 1337141
- rebuild for proper python provides
- rename python-pysendfile as python2-pysendfile
- add python3 pkg

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-13.mga7
+ Revision: 1300578
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-12.mga6
+ Revision: 948157
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-11.mga5
+ Revision: 749479
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-10.mga5
+ Revision: 729565
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-9.mga5
+ Revision: 688279
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-7.mga4
+ Revision: 544160
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-6.mga4
+ Revision: 499271
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-5.mga3
+ Revision: 379417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 2.0.0-4.mga3
+ Revision: 314248
- imported package python-pysendfile


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 8 2012 Russell Bryant <russellb@fedoraproject.org> - 2.0.0-3
- Update %%check section to a more sane method of setting PYTHONPATH

* Wed Feb 8 2012 Russell Bryant <russellb@fedoraproject.org> - 2.0.0-2
- Remove unnecessary cleaning of the buildroot in %%install section
- Add %%check section to run the unit tests
- Rename package from python-sendfile to pysendfile

* Tue Feb 7 2012 Russell Bryant <russellb@fedoraproject.org> - 2.0.0-1
- Initial package
